# 16S

@article{Brooks2015,
abstract = {{\textcopyright} 2015 Brooks et al.; licensee BioMed Central. Background: Characterizing microbial communities via next-generation sequencing is subject to a number of pitfalls involving sample processing. The observed community composition can be a severe distortion of the quantities of bacteria actually present in the microbiome, hampering analysis and threatening the validity of conclusions from metagenomic studies. We introduce an experimental protocol using mock communities for quantifying and characterizing bias introduced in the sample processing pipeline. We used 80 bacterial mock communities comprised of prescribed proportions of cells from seven vaginally-relevant bacterial strains to assess the bias introduced in the sample processing pipeline. We created two additional sets of 80 mock communities by mixing prescribed quantities of DNA and PCR product to quantify the relative contribution to bias of (1) DNA extraction, (2) PCR amplification, and (3) sequencing and taxonomic classification for particular choices of protocols for each step. We developed models to predict the "true" composition of environmental samples based on the observed proportions, and applied them to a set of clinical vaginal samples from a single subject during four visits. Results: We observed that using different DNA extraction kits can produce dramatically different results but bias is introduced regardless of the choice of kit. We observed error rates from bias of over 85{\%} in some samples, while technical variation was very low at less than 5{\%} for most bacteria. The effects of DNA extraction and PCR amplification for our protocols were much larger than those due to sequencing and classification. The processing steps affected different bacteria in different ways, resulting in amplified and suppressed observed proportions of a community. When predictive models were applied to clinical samples from a subject, the predicted microbiome profiles were better reflections of the physiology and diagnosis of the subject at the visits than the observed community compositions. Conclusions: Bias in 16S studies due to DNA extraction and PCR amplification will continue to require attention despite further advances in sequencing technology. Analysis of mock communities can help assess bias and facilitate the interpretation of results from environmental samples.},
author = {Brooks, J Paul and Edwards, David J and Harwich, Michael D and Rivera, Maria C and Fettweis, Jennifer M and Serrano, Myrna G and Reris, Robert A and Sheth, Nihar U and Huang, Bernice and Girerd, Philippe and Strauss, Jerome F and Jefferson, Kimberly K and Buck, Gregory A},
doi = {10.1186/s12866-015-0351-6},
file = {:C$\backslash$:/Mastermappa/Documents/2015/BMC Microbiology/Brooks et al. - 2015 - The truth about metagenomics Quantifying and counteracting bias in 16S rRNA studies Ecological and evolutionary m.pdf:pdf},
issn = {14712180},
journal = {BMC Microbiology},
keywords = {Assessments of microbial community structure via m,DNA extraction bias,Next generation sequencing,PCR bias,Quality control},
mendeley-groups = {Salmon{\_}master,Salmon{\_}master/16S},
month = {dec},
number = {1},
pages = {66},
publisher = {BioMed Central},
title = {{The truth about metagenomics: Quantifying and counteracting bias in 16S rRNA studies Ecological and evolutionary microbiology}},
url = {http://www.biomedcentral.com/1471-2180/15/66},
volume = {15},
year = {2015}
}

# Other



@article{Tritchler2009,
abstract = {BACKGROUND: Prior to cluster analysis or genetic network analysis it is customary to filter, or remove genes considered to be irrelevant from the set of genes to be analyzed. Often genes whose variation across samples is less than an arbitrary threshold value are deleted. This can improve interpretability and reduce bias. RESULTS: This paper introduces modular models for representing network structure in order to study the relative effects of different filtering methods. We show that cluster analysis and principal components are strongly affected by filtering. Filtering methods intended specifically for cluster and network analysis are introduced and compared by simulating modular networks with known statistical properties. To study more realistic situations, we analyze simulated "real" data based on well-characterized E. coli and S. cerevisiae regulatory networks. CONCLUSION: The methods introduced apply very generally, to any similarity matrix describing gene expression. One of the proposed methods, SUMCOV, performed well for all models simulated.},
author = {Tritchler, David and Parkhomenko, Elena and Beyene, Joseph},
doi = {10.1186/1471-2105-10-193},
file = {:C$\backslash$:/Mastermappa/Documents/2009/BMC Bioinformatics/Tritchler, Parkhomenko, Beyene - 2009 - Filtering genes for cluster and network analysis.pdf:pdf},
isbn = {1471210510},
issn = {14712105},
journal = {BMC Bioinformatics},
mendeley-groups = {Salmon{\_}master},
month = {jun},
pages = {193},
pmid = {19549335},
publisher = {BioMed Central},
title = {{Filtering genes for cluster and network analysis}},
url = {http://www.ncbi.nlm.nih.gov/pubmed/19549335 http://www.pubmedcentral.nih.gov/articlerender.fcgi?artid=PMC2708160},
volume = {10},
year = {2009}
}



@article{McMurdie2014,
abstract = {The interpretation of count data originating from the current generation of DNA sequencing platforms requires special attention. In particular, the per-sample library sizes often vary by orders of magnitude from the same sequencing run, and the counts are overdispersed relative to a simple Poisson model These challenges can be addressed using an appropriate mixture model that simultaneously accounts for library size differences and biological variability. This approach is already well-characterized and implemented for RNA-Seq data in R packages such as edgeR and DESeq. We use statistical theory, extensive simulations, and empirical data to show that variance stabilizing normalization using a mixture model like the negative binomial is appropriate for microbiome count data. In simulations detecting differential abundance, normalization procedures based on a Gamma-Poisson mixture model provided systematic improvement in performance over crude proportions or rarefied counts -- both of which led to a high rate of false positives. In simulations evaluating clustering accuracy, we found that the rarefying procedure discarded samples that were nevertheless accurately clustered by alternative methods, and that the choice of minimum library size threshold was critical in some settings, but with an optimum that is unknown in practice. Techniques that use variance stabilizing transformations by modeling microbiome count data with a mixture distribution, such as those implemented in edgeR and DESeq, substantially improved upon techniques that attempt to normalize by rarefying or crude proportions. Based on these results and well-established statistical theory, we advocate that investigators avoid rarefying altogether. We have provided microbiome-specific extensions to these tools in the R package, phyloseq.},
annote = {Rarefying is bad you see.},
archivePrefix = {arXiv},
arxivId = {1310.0424},
author = {McMurdie, Paul J. and Holmes, Susan},
doi = {10.1371/journal.pcbi.1003531},
eprint = {1310.0424},
file = {:C$\backslash$:/Mastermappa/Documents/2014/PLoS Computational Biology/McMurdie, Holmes - 2014 - Waste Not, Want Not Why Rarefying Microbiome Data Is Inadmissible.PDF:PDF},
isbn = {1553-7358 (Electronic) 1553-734X (Linking)},
issn = {15537358},
journal = {PLoS Computational Biology},
mendeley-groups = {Salmon{\_}master,Salmon{\_}master/16S},
number = {4},
pmid = {24699258},
title = {{Waste Not, Want Not: Why Rarefying Microbiome Data Is Inadmissible}},
volume = {10},
year = {2014}
}


@misc{Gloor2017,
abstract = {Datasets collected by high-throughput sequencing (HTS) of 16S rRNA gene amplimers, metagenomes or metatranscriptomes are commonplace and being used to study human disease states, ecological differences between sites, and the built environment. There is increasing awareness that microbiome datasets generated by HTS are compositional because they have an arbitrary total imposed by the instrument. However, many investigators are either unaware of this or assume specific properties of the compositional data. The purpose of this review is to alert investigators to the dangers inherent in ignoring the compositional nature of the data, and point out that HTS datasets derived from microbiome studies can and should be treated as compositions at all stages of analysis. We briefly introduce compositional data, illustrate the pathologies that occur when compositional data are analyzed inappropriately, and finally give guidance and point to resources and examples for the analysis of microbiome datasets using compositional data analysis.},
annote = {There are several good suggestions here that you need to understand better.
CLR seems good. but what is an appropriate pseudo number?},
author = {Gloor, Gregory B and Macklaim, Jean M and Pawlowsky-Glahn, Vera and Egozcue, Juan J},
booktitle = {Frontiers in Microbiology},
doi = {10.3389/fmicb.2017.02224},
file = {:C$\backslash$:/Mastermappa/Documents/2017/Frontiers in Microbiology/Gloor et al. - 2017 - Microbiome datasets are compositional And this is not optional.pdf:pdf},
isbn = {1664-302X},
issn = {1664302X},
keywords = {Bayesian estimation,Compositional data,Correlation,Count normalization,High-throughput sequencing,Microbiota,Relative abundance},
mendeley-groups = {Salmon{\_}master,Salmon{\_}master/16S},
number = {NOV},
pages = {2224},
pmid = {29187837},
publisher = {Frontiers Media SA},
title = {{Microbiome datasets are compositional: And this is not optional}},
url = {http://www.ncbi.nlm.nih.gov/pubmed/29187837 http://www.pubmedcentral.nih.gov/articlerender.fcgi?artid=PMC5695134},
volume = {8},
year = {2017}
}



# NORMALIZATION AND FILTERING

@article{Paulson2013,
abstract = {We introduce a methodology to assess differential abundance in sparse high-throughput microbial marker-gene survey data. Our approach, implemented in the metagenomeSeq Bioconductor package, relies on a novel normalization technique and a statistical model that accounts for undersampling-a common feature of large-scale marker-gene studies. Using simulated data and several published microbiota data sets, we show that metagenomeSeq outperforms the tools currently used in this field.},
author = {Paulson, Joseph N and {Colin Stine}, O. and Bravo, H{\'{e}}ctor Corrada and Pop, Mihai},
doi = {10.1038/nmeth.2658},
file = {:C$\backslash$:/Mastermappa/Documents/2013/Nature Methods/Paulson et al. - 2013 - Differential abundance analysis for microbial marker-gene surveys(2).pdf:pdf},
issn = {15487091},
journal = {Nature Methods},
mendeley-groups = {Salmon{\_}master,Salmon{\_}master/preprocessing},
number = {12},
pages = {1200--1202},
title = {{Differential abundance analysis for microbial marker-gene surveys}},
url = {http://www.nature.com/authors/editorial{\_}policies/license.html{\#}terms},
volume = {10},
year = {2013}
}




@article{Kumar2018,
abstract = {Count data derived from high-throughput DNA sequencing is frequently used in quantitative molecular assays. Due to properties inherent to the sequencing process, unnormalized count data is compositional, measuring relative and not absolute abundances of the assayed features. This compositional bias confounds inference of absolute abundances. We demonstrate that existing techniques for estimating compositional bias fail with sparse metagenomic 16S count data and propose an empirical Bayes normalization approach to overcome this problem. In addition, we clarify the assumptions underlying frequently used scaling normalization methods in light of compositional bias, including scaling methods that were not designed directly to address it.},
author = {Kumar, M. Senthil and Slud, Eric V. and Okrah, Kwame and Hicks, Stephanie C. and Hannenhalli, Sridhar and {Corrada Bravo}, H{\'{e}}ctor},
doi = {10.1186/s12864-018-5160-5},
file = {:C$\backslash$:/Mastermappa/Documents/2018/BMC genomics/Kumar et al. - 2018 - Analysis and correction of compositional bias in sparse sequencing count data.pdf:pdf},
issn = {14712164},
journal = {BMC genomics},
keywords = {Absolute abundance,Compositional bias,Count data,Data integration,Empirical Bayes,Metagenomics,Normalization,Spike-in,scRNAseq},
mendeley-groups = {Salmon{\_}master,Salmon{\_}master/preprocessing},
month = {dec},
number = {1},
pages = {799},
pmid = {30400812},
publisher = {BioMed Central},
title = {{Analysis and correction of compositional bias in sparse sequencing count data}},
url = {http://www.ncbi.nlm.nih.gov/pubmed/30400812 http://www.pubmedcentral.nih.gov/articlerender.fcgi?artid=PMC6219007 https://bmcgenomics.biomedcentral.com/articles/10.1186/s12864-018-5160-5},
volume = {19},
year = {2018}
}


# Treatment of external variables and traits
## Condition factor

@article{Codabaccus2011,
abstract = {Vegetable oils (VO) have become the predominant substitute for fish oil (FO) in aquafeeds; however, the resultant lower content of n -3 long-chain ( ≥ C20) PUFA ( n -3 LC-PUFA) in fish has put their use under scrutiny. The need to investigate new oil sources exists. The present study tested the hypothesis that in Atlantic salmon ( Salmo salar L.), a high intake of stearidonic acid (SDA) from Echium oil (EO) would result in increased n -3 LC-PUFA biosynthesis due to a lower requirement for $\Delta$6 desaturase. Comparisons were made with fish fed on diets containing rapeseed oil (RO) and FO in freshwater for 112 d followed by 96 d in seawater. EO fish had higher whole-carcass SDA and eicosatetraenoic acid (ETA) in freshwater and prolonged feeding on the EO diet in seawater resulted in higher SDA, ETA, EPA and docosapentaenoic acid (DPA) compared with RO fish. Fatty acid mass balance of freshwater fish indicated higher biosynthesis of ETA and EPA in EO fish compared with fish fed on the other diets and a twofold increase in n -3 LC-PUFA synthesis compared with RO fish. In seawater, n -3 biosynthetic activity was low, with higher biosynthesis of ETA in EO fish and appearance of all desaturated and elongated products along the n -3 pathway. SDA-enriched VO are more suitable substitutes than conventional VO from a human consumer perspective due to the resulting higher SDA content, higher total n -3 and improved n -3: n -6 ratio obtained in fish, although both VO were not as effective as FO in maintaining EPA and DHA content in Atlantic salmon.},
author = {Codabaccus, Mohamed B and Bridle, Andrew R and Nichols, Peter D and Carter, Chris G},
doi = {10.1017/s0007114510005714},
file = {:C$\backslash$:/Mastermappa/Documents/2011/British Journal of Nutrition/Codabaccus et al. - 2011 - Effect of feeding Atlantic salmon ( Salmo salar L.) a diet enriched with stearidonic acid from parr to smolt.pdf:pdf},
issn = {0007-1145},
journal = {British Journal of Nutrition},
keywords = {Aquafeeds,Fatty acid mass balance,Stearidonic acid,n-3 Long-chain PUFA},
mendeley-groups = {Salmon{\_}master/preprocessing,Salmon{\_}master},
number = {12},
pages = {1772--1782},
title = {{Effect of feeding Atlantic salmon ( Salmo salar L.) a diet enriched with stearidonic acid from parr to smolt on growth and n -3 long-chain PUFA biosynthesis}},
url = {https://doi.org/10.1017/S0007114510005714},
volume = {105},
year = {2011}
}


@article{Alne2011,
author = {Alne, Henriette and Oehme, Maike and Thomassen, Magny and Terjesen, Bendik and R{\o}rvik, Kjell-Arne},
doi = {10.1111/j.1365-2109.2010.02618.x},
file = {:C$\backslash$:/Mastermappa/Documents/2011/Aquaculture Research/Alne et al. - 2011 - Reduced growth, condition factor and body energy levels in Atlantic salmon Salmo salar L. during their first spring.pdf:pdf},
issn = {1355557X},
journal = {Aquaculture Research},
keywords = {feed intake,nutritional status,post‐smolt,salmonids},
mendeley-groups = {Salmon{\_}master/networks},
month = {jan},
number = {2},
pages = {248--259},
publisher = {John Wiley {\&} Sons, Ltd (10.1111)},
title = {{Reduced growth, condition factor and body energy levels in Atlantic salmon Salmo salar L. during their first spring in the sea}},
url = {http://doi.wiley.com/10.1111/j.1365-2109.2010.02618.x},
volume = {42},
year = {2011}
}



# GO

@misc{Ashburner2000,
abstract = {Genomic sequencing has made it clear that a large fraction of the genes specifying the core biological functions are shared by all eukaryotes. Knowledge of the biological role of such shared proteins in one organism can often be transferred to other organisms. The goal of the Gene Ontology Consortium is to produce a dynamic, controlled vocabulary that can be applied to all eukaryotes even as knowledge of gene and protein roles in cells is accumulating and changing. To this end, three independent ontologies accessible on the World-Wide Web (http://www.geneontology.org) are being constructed: biological process, molecular function and cellular component.},
author = {Ashburner, Michael and Ball, Catherine A. and Blake, Judith A. and Botstein, David and Butler, Heather and Cherry, J. Michael and Davis, Allan P. and Dolinski, Kara and Dwight, Selina S. and Eppig, Janan T. and Harris, Midori A. and Hill, David P. and Issel-Tarver, Laurie and Kasarskis, Andrew and Lewis, Suzanna and Matese, John C. and Richardson, Joel E. and Ringwald, Martin and Rubin, Gerald M. and Sherlock, Gavin},
booktitle = {Nature Genetics},
doi = {10.1038/75556},
file = {:C$\backslash$:/Mastermappa/Documents/2000/Nature Genetics/Ashburner et al. - 2000 - Gene Ontology tool for the unification of biology.pdf:pdf},
issn = {10614036},
keywords = {Agriculture,Animal Genetics and Genomics,Biomedicine,Cancer Research,Gene Function,Human Genetics,general},
mendeley-groups = {Salmon{\_}master/GO,Salmon{\_}master},
month = {may},
number = {1},
pages = {25--29},
publisher = {Nature Publishing Group},
title = {{Gene ontology: Tool for the unification of biology}},
url = {http://www.nature.com/articles/ng0500{\_}25},
volume = {25},
year = {2000}
}

@article{TheGeneOntologyConsortium2019,
abstract = {The Gene Ontology resource (GO; http://geneontology.org) provides structured, computable knowledge regarding the functions of genes and gene products. Founded in 1998, GO has become widely adopted in the life sciences, and its contents are under continual improvement, both in quantity and in quality. Here, we report the major developments of the GO resource during the past two years. Each monthly release of the GO resource is now packaged and given a unique identifier (DOI), enabling GO-based analyses on a specific release to be reproduced in the future. The molecular function ontology has been refactored to better represent the overall activities of gene products, with a focus on transcription regulator activities. Quality assurance efforts have been ramped up to address potentially out-of-date or inaccurate annotations. New evidence codes for high-throughput experiments now enable users to filter out annotations obtained from these sources. GO-CAM, a new framework for representing gene function that is more expressive than standard GO annotations, has been released, and users can now explore the growing repository of these models. We also provide the 'GO ribbon' widget for visualizing GO annotations to a gene; the widget can be easily embedded in any web page.},
author = {{The Gene Ontology Consortium}},
doi = {10.1093/nar/gky1055},
file = {:C$\backslash$:/Mastermappa/Documents/2019/Nucleic Acids Research/The Gene Ontology Consortium - 2019 - The Gene Ontology Resource 20 years and still GOing strong.pdf:pdf},
issn = {0305-1048},
journal = {Nucleic Acids Research},
keywords = {GO,genes},
mendeley-groups = {Salmon{\_}master/GO},
month = {jan},
number = {D1},
pages = {D330--D338},
publisher = {Oxford University Press},
title = {{The Gene Ontology Resource: 20 years and still GOing strong}},
url = {https://academic.oup.com/nar/article/47/D1/D330/5160994},
volume = {47},
year = {2019}
}

# Transcript mapper

@article{Patro2017,
abstract = {We introduce Salmon, a lightweight method for quantifying transcript abundance from RNA-seq reads. Salmon combines a new dual-phase parallel inference algorithm and feature-rich bias models with an ultra-fast read mapping procedure. It is the first transcriptome-wide quantifier to correct for fragment GC-content bias, which, as we demonstrate here, substantially improves the accuracy of abundance estimates and the sensitivity of subsequent differential expression analysis.},
author = {Patro, Rob and Duggal, Geet and Love, Michael I and Irizarry, Rafael A and Kingsford, Carl},
doi = {10.1038/nmeth.4197},
file = {:C$\backslash$:/Mastermappa/Documents/2017/Nature Methods/Patro et al. - 2017 - Salmon fast and bias-aware quantification of transcript expression using dual-phase inference.pdf:pdf},
issn = {15487105},
journal = {Nature Methods},
mendeley-groups = {Salmon{\_}master/preprocessing,Salmon{\_}master},
number = {4},
pages = {417--419},
title = {{Salmon: fast and bias-aware quantification of transcript expression using dual-phase inference}},
url = {http://www.nature.com/authors/editorial{\_}policies/license.html{\#}terms},
volume = {14},
year = {2017}
}

# Summarizing genes and reversing to counts, not ideal to use something not published, but I need counts

@Article{tximport,
    title = {Differential analyses for RNA-seq: transcript-level estimates improve gene-level inferences},
    author = {Charlotte Soneson and Michael I. Love and Mark D. Robinson},
    year = {2015},
    journal = {F1000Research},
    doi = {10.12688/f1000research.7563.1},
    volume = {4},
    issue = {1521},
  }